# Interface FieldExtensionProperties

Properties that can be passed into the constructor for data/FieldExtension!FieldExtension.

interface FieldExtensionProperties {
failureMode?: FailureMode;
field?: string | Field | FieldProperties;
format?: string;
formatSettings?: FormatSettingsProperties;
id?: string;
searchable?: boolean;
}

#### Hierarchy (view full)

- EntityBaseProperties
  - FieldExtensionProperties

#####
Index

### Properties

failureMode?
field?
format?
formatSettings?
id?
searchable?

##
Properties

### `Optional` failureMode

failureMode?: FailureMode

See support/InitializableBase!InitializableBase.failureMode.

Inherited from EntityBaseProperties.failureMode

### `Optional` field

field?: string | Field | FieldProperties

The Esri Field object being extended.

### `Optional` format

format?: string

The field format specifier. This is a standard .NET-style format string containing a `{0}` placeholder that will be replaced by the actual field value.

### `Optional` formatSettings

formatSettings?: FormatSettingsProperties

Settings that affect how values are formatted. Depending on the type of field, some or all of these settings may not be applicable.

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityBaseProperties.id

### `Optional` searchable

searchable?: boolean

Whether the field is searchable or not.